
Foreman - Bug #4712

Editing organization gives undefined method `parent_taxonomy_selected_location_path'

03/19/2014 03:32 PM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Joseph Magen   

Category: Organizations and Locations   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When organisations are enabled, but not locations, you can get errors trying to resolve routes for the "other" taxonomy when editing

an organisation.

ActionView::Template::Error (undefined method `parent_taxonomy_selected_location_path' for #<#<Cla

ss:0x000000077546d8>:0x00000007adf000>):

    5:   <%= select_f f, :parent_id, taxonomy.class.where("id NOT IN (#{taxonomy.subtree_ids.join(

',')})").order(:title), :id, :title, { :include_blank => true },

    6:                { :label => _('Parent'), :onchange => 'parent_taxonomy_changed(this);',

    7:                  :help_inline => :indicator,

    8:                  :'data-url' => parent_taxonomy_selected_location_path(taxonomy.id)

    9:                } %>

    10: 

    11:   <%= text_f f, :name %>

  app/views/taxonomies/_form.html.erb:8:in `block in _app_views_taxonomies__form_html_erb___431751

8605146758171_66773220'

  app/helpers/layout_helper.rb:248:in `form_for'

  app/views/taxonomies/_form.html.erb:3:in `_app_views_taxonomies__form_html_erb___431751860514675

8171_66773220'

  app/views/taxonomies/edit.html.erb:4:in `_app_views_taxonomies_edit_html_erb___41880873506785749

17_64430140'

  app/controllers/concerns/foreman/controller/taxonomies_controller.rb:67:in `block in edit'

Associated revisions

Revision 630bb303 - 04/01/2014 08:34 AM - Joseph Magen

fixes #4712 - editing organization gives undefined method parent_taxonomy_selected_location_path

History

#1 - 03/19/2014 09:14 PM - Ivan Necas

This is a blocker for testing Katello provisioning

#2 - 03/20/2014 03:18 PM - Og Maciel

This blocks QE UI auto as well

#3 - 03/20/2014 05:58 PM - Ohad Levy

Og Maciel wrote:

This blocks QE UI auto as well

 As a workaround please enable locations too. It should be on by default IMHO.

#4 - 03/21/2014 02:41 PM - Og Maciel

Even with location enabled I still see this issue.  nm
#5 - 03/21/2014 02:48 PM - Dominic Cleal

Og Maciel wrote:

Even with location enabled I still see this issue.

 Works fine with locations enabled here.  Did you restart Foreman or Apache after changing the configuration?

#6 - 03/21/2014 03:45 PM - Lukas Zapletal

Works fine with locations enabled here.  Did you restart Foreman or Apache after changing the configuration?

 Yeah the Og's one is different I think (Katello needs to be enabled for that).

#7 - 03/21/2014 08:00 PM - Ohad Levy

Lukas Zapletal wrote:

Yeah the Og's one is different I think (Katello needs to be enabled for that).

 can you elaborate what is the difference? do we have a different stack trace when locations are enabled?

#8 - 03/24/2014 08:58 AM - Lukas Zapletal

Sure, the one Og referred to was https://bugzilla.redhat.com/show_bug.cgi?id=1076562 I assume.

#9 - 03/25/2014 08:59 PM - Mike McCune

The issue outlined in https://bugzilla.redhat.com/show_bug.cgi?id=1076562 (moved to POST) is no longer occurring but the situation outlined in this

issue still is.

#10 - 03/31/2014 12:22 PM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#11 - 03/31/2014 02:07 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.8.4

https://github.com/theforeman/foreman/pull/1341

#12 - 04/01/2014 08:34 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#13 - 04/01/2014 09:31 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 630bb30321c11a74f46d744662c8d01d612adc31.
